import React,{ useState }  from 'react';
import logo from './logo.svg';
import './App.css';
import './CellTemp';
import * as WjCore from '@grapecity/wijmo';
import * as WjGrid from '@grapecity/wijmo.grid';
import { FlexGrid,FlexGridColumn,FlexGridCellTemplate } from '@grapecity/wijmo.react.grid';
import { GroupPanel } from "@grapecity/wijmo.react.grid.grouppanel";
import CellTemp from './CellTemp';
function App() {
  const [data,setData]=useState(
    getData()
  );
  const [grid,setGrid] = useState(null);
  const gridHandle = (s,event) =>{
    setGrid(s);
    s.collectionView.sortDescriptions.push(new WjCore.SortDescription("country",true));
    s.selection = new WjGrid.CellRange(0,0);
  } 
  const sortHandler=(s,event)=>{
    console.log(s.collectionView.sortDescriptions,event)
  }
  return (
    <div >
      <div>
        <GroupPanel grid={grid} placeholder="Groups here!"></GroupPanel>
        <FlexGrid itemsSource={data} allowSorting="2" initialized={gridHandle} style={{height:'500px'}} sortingColumn={sortHandler}>
          <FlexGridColumn binding="id" header="ID" width="1.5*" wordWrap="true">
          </FlexGridColumn>
          <FlexGridColumn binding="country" header="Country" width="1.5*" wordWrap="true" cellTemplate="<span>${item.country}</span>"></FlexGridColumn>
          <FlexGridColumn binding="sales" header="Sales" width="1.5*"></FlexGridColumn>
          <FlexGridColumn binding="country1" header="City" width="1.5*"></FlexGridColumn>
          <FlexGridColumn binding="downloads" header="Downloads" width="1.5*"></FlexGridColumn>
        </FlexGrid>
      </div>
      
    </div>
  );
}
function getData(){
  var countries ="US a long long test text for word wrap test,UK,Japan,India,China".split(",");
  var data=[];
  for(var i=0;i<50;i++){
    data.push({
      id:i,
      country:countries[i%countries.length],
      country1:countries[i%countries.length],
      downloads: Math.random()*1000,
      sales:Math.random()*100
    })
  }
  return data;
}

export default App;
